package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author xkrs
 * 任务表
 */
@Entity
@Table(name = "fire_task")
public class FireTask implements Serializable {

    /**
     * id 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "fire_task_seq_gen")
    @SequenceGenerator(name = "fire_task_seq_gen", sequenceName = "fire_task_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 火点编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String taskFireCode;

    /**
     * 任务描述
     */
    @Column(length = 2000, columnDefinition = "varchar(2000)")
    private String taskInformation;

    /**
     * 提交任务的时间
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String taskTime;

    public FireTask() {
    }

    public FireTask(Integer id, String taskFireCode, String taskInformation, String taskTime) {
        this.id = id;
        this.taskFireCode = taskFireCode;
        this.taskInformation = taskInformation;
        this.taskTime = taskTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTaskFireCode() {
        return taskFireCode;
    }

    public void setTaskFireCode(String taskFireCode) {
        this.taskFireCode = taskFireCode;
    }

    public String getTaskInformation() {
        return taskInformation;
    }

    public void setTaskInformation(String taskInformation) {
        this.taskInformation = taskInformation;
    }

    public String getTaskTime() {
        return taskTime;
    }

    public void setTaskTime(String taskTime) {
        this.taskTime = taskTime;
    }

    @Override
    public String toString() {
        return "FireTask{" +
                "id=" + id +
                ", taskFireCode='" + taskFireCode + '\'' +
                ", taskInformation='" + taskInformation + '\'' +
                ", taskTime='" + taskTime + '\'' +
                '}';
    }
}
